--- a/drivers/clocksource/Kconfig
+++ b/drivers/clocksource/Kconfig
@@ -126,6 +126,15 @@
 	help
 	  Enables the support for the RDA Micro timer driver.
 
+config RTL9300_TIMER
+	bool "Clocksource/timer for the Realtek RTL9300 family of SoCs"
+	depends on MIPS
+	select COMMON_CLK
+	select TIMER_OF
+	select CLKSRC_MMIO
+	help
+	  Enables support for the Realtek RTL9300 timer driver.
+
 config SUN4I_TIMER
 	bool "Sun4i timer driver" if COMPILE_TEST
 	depends on HAS_IOMEM
@@ -695,5 +704,4 @@
 	select IRQ_DOMAIN
 	help
 	  Support for the timer/counter unit of the Ingenic JZ SoCs.
-
 endmenu
--- a/drivers/clocksource/Makefile
+++ b/drivers/clocksource/Makefile
@@ -61,6 +61,7 @@
 obj-$(CONFIG_SPRD_TIMER)	+= timer-sprd.o
 obj-$(CONFIG_NPCM7XX_TIMER)	+= timer-npcm7xx.o
 obj-$(CONFIG_RDA_TIMER)		+= timer-rda.o
+obj-$(CONFIG_RTL9300_TIMER)	+= timer-rtl9300.o
 
 obj-$(CONFIG_ARC_TIMERS)		+= arc_timer.o
 obj-$(CONFIG_ARM_ARCH_TIMER)		+= arm_arch_timer.o
